
TYPO3.Flow - Feature # 116

Status: Resolved Priority: Must have
Author: Robert Lemke Category: Package
Created: 2008-01-28 Assigned To: Christopher Hlubek
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Package Manager provides CLI access
Description

The Package Manager should provide a CLI controller which initially should support the "create" command for creating a new, empty
package.
The command for creating a package could look like this:

php index.php flow3 package -a create -p MyPackage

Associated revisions
Revision df60320e - 2009-01-22 14:19 - Robert Lemke

    -  FLOW3: (Package) Integrated the patches from the F3PR project by Thomas, Tobias and Christoph. Introduces Meta xml reading / writing
support, create and delete packages and a new command line tool "flow3". The whole Package subpackage needs some tuning and cleanup and
most of the new Package Manager tests are currently disabled.  Addresses #935, addresses #936, resolves #937, addresses #940, and addresses
#116.

Revision 03bbbb8b - 2009-01-22 14:20 - Robert Lemke

    -  FLOW3: (Package) Integrated the patches from the F3PR project by Thomas, Tobias and Christoph. Introduces Meta xml reading / writing
support, create and delete packages and a new command line tool "flow3". The whole Package subpackage needs some tuning and cleanup and
most of the new Package Manager tests are currently disabled.  Addresses #935, addresses #936, resolves #937, addresses #940, and addresses
#116.

Revision 569ab03f - 2009-05-20 00:38 - Christopher Hlubek

Added tests for the package manager controller, fixed the configuration for the package manager injection. Resolves #116

History
#1 - 2008-07-01 15:32 - Robert Lemke
- Target version deleted (18)

#2 - 2008-10-27 18:18 - Karsten Dambekalns
- Subject changed from Package Manager allows for creating new packages via command line to Package Manager provides CLI access

#3 - 2008-10-28 12:58 - Karsten Dambekalns
- Priority changed from Should have to Must have
- Target version set to 1.0 alpha 1

#4 - 2009-05-14 17:13 - Robert Lemke
- Target version changed from 1.0 alpha 1 to 283

#5 - 2009-05-19 13:16 - Robert Lemke
- Status changed from New to Accepted
- Assigned To set to Christopher Hlubek
- Target version changed from 283 to 1.0 alpha 1

Please also check if the bash script still works.

#6 - 2009-05-20 00:28 - Christopher Hlubek

Basically everything should work - but the object factory doesn't get injected into the package manager. I cannot yet say why. Maybe someone can
have a look.

#7 - 2009-05-20 00:39 - Christopher Hlubek

A new package can be created easily with ./flow3 package create Welcome. In r2281 the wiring of the package manager was fixed.

#8 - 2009-05-20 01:00 - Christopher Hlubek
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2281.
